// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    repositories {
        mavenLocal()
        google()
        mavenCentral()
        gradlePluginPortal()
        maven { url "https://mirrors.tencent.com/nexus/repository/maven-public/" }
        maven {
            url'http://8.134.139.102:8085/repository/wenext-android/'
            credentials {
                username 'admin'
                password 'e405f245-3a0e-4de7-8768-c4c62bdea293'
            }
            allowInsecureProtocol = true//允许 Gradle 使用不安全的协议
        }
        maven { url 'https://jitpack.io' }
    }
    dependencies {
        classpath libs.android.build.gradle
        classpath libs.kotlin.gradle.plugin
        classpath libs.gms.google.services
        classpath libs.firebase.crashlytics.gradle
        classpath libs.tencent.vasdolly.plugin
//        classpath libs.aabresguard.plugin

        if (project.hasProperty("ENABLE_TRACE") && project.ENABLE_TRACE.toBoolean()){
            classpath(libs.frame.trace.plugin)
        }

        classpath(libs.frame.bundle.tool)

    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}